#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces

# import packages
from zope.interface import Interface
from zope.schema import TextLine

from onf_website import _


class IClient(Interface):
    """Client record interface"""
    clecli = TextLine(title=_("Client ID"))
    motdir = TextLine(title=_("Client code"))
    raisoc = TextLine(title=_("Social entity"))
    nomcli = TextLine(title=_("Client name"))
    titcli = TextLine(title=_("Client title"))
    numtel = TextLine(title=_("Phone number"))
    numfax = TextLine(title=_("Fax number"))
    codpay = TextLine(title=_("Country code"))
    codedt = TextLine(title=_("Service code"))
    ard1dom = TextLine(title=_("First address line"))
    ard2dom = TextLine(title=_("Second address line"))
    cposdom = TextLine(title=_("Postal code"))
    lvildom = TextLine(title=_("City"))
    actina = TextLine(title=_("Active client ?"))
    nclisap = TextLine(title=_("SAP client number"))
